Skip to main content
GET
/
v1
/
chat
/
conversations
/
{id}
/
participants
cURL
curl --request GET \
  --url https://api.botpress.cloud/v1/chat/conversations/{id}/participants \
  --header 'Authorization: Bearer <token>' \
  --header 'x-bot-id: <x-bot-id>' \
  --header 'x-bp-authenticated-principal: <x-bp-authenticated-principal>'
{
  "participants": [
    {
      "id": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "tags": {},
      "name": "<string>",
      "pictureUrl": "<string>",
      "properties": {},
      "attributes": {}
    }
  ],
  "meta": {
    "nextToken": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-bp-authenticated-principal
string
required

Authenticated principal. Injected by the authentication middleware.

x-bot-id
string
required

Bot id

x-integration-id
string

Integration id

x-integration-alias
string

Integration alias

x-real-ip
string

Caller's IP address. Injected by the edge proxy.

Path Parameters

id
string
required

Conversation id

Query Parameters

nextToken
string

Provide the meta.nextToken value provided in the last API response to retrieve the next page of results

pageSize
integer

Number of items to return per page (default 20, max 100)

Response

Returns a list of Participant objects

participants
object[]
required
meta
object
required
Last modified on July 3, 2026